Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.trans
Class CollectingModelConsumer

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.HashSet<StableModel>
                  lp.trans.CollectingModelConsumer

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<StableModel>, Collection<StableModel>, Set<StableModel>, Consumer<StableModel>

     class CollectingModelConsumer

extends HashSet<StableModel>
implements Consumer<StableModel>

A model consumer that collects all models it receives through the `consume(StableModel)` method. Used in `LpSolverTest` and `DlpSolverTest`.

Version:
  1.0.0
Author:
  Martin Slota

Constructor Summary
`CollectingModelConsumer()`

Method Summary
`void` | `afterConsuming()` No action needed here.
`void` | `beforeConsuming()` No action needed here.
`void` | `consume(StableModel model)` Adds `model` to this set.

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### CollectingModelConsumer

    CollectingModelConsumer()

Method Detail

### beforeConsuming

    public void beforeConsuming()

  No action needed here.

  Specified by:
    `beforeConsuming` in interface `Consumer<StableModel>`

### afterConsuming

    public void afterConsuming()

  No action needed here.

  Specified by:
    `afterConsuming` in interface `Consumer<StableModel>`

### consume

    public void consume(StableModel model)

  Adds `model` to this set.

  Specified by:
    `consume` in interface `Consumer<StableModel>`
  Parameters:
    `model` - the model to be processed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD